Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.util
Class GenClausesRuntime

`java.lang.Object
oracle.jbo.server.util.GenClausesRuntime`

public class GenClausesRuntime
extends java.lang.Object

Field Summary
`static int` | `TOK_DOUBLE_QUOTE_STR`
`static int` | `TOK_IDENT`
`static int` | `TOK_NUMBER`
`static int` | `TOK_SINGLE_QUOTE_STR`
`static int` | `TOK_SPECIAL_CHAR`
`static int` | `TOK_WHITE_SPACE`

Constructor Summary
`GenClausesRuntime()`

Method Summary
`void` | `doProc(java.io.LineNumberReader lnrd)`
`void` | `doWork(java.lang.String[] argv)`
`void` | `dumpTokens(int lnNum, oracle.jbo.server.util.Tok[] toks)`
`oracle.jbo.server.util.Tok[]` | `getTokens(java.lang.String str)`
`static void` | `main(java.lang.String[] argv)`
`void` | `print(java.lang.String str)`
`void` | `println(java.lang.String str)`
`void` | `procError(java.lang.String msg)`
`void` | `reportException(java.lang.String errorMessage, int lnNum, oracle.jbo.server.util.Tok tok)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOK_IDENT

    public static final int TOK_IDENT

### TOK_SPECIAL_CHAR

    public static final int TOK_SPECIAL_CHAR

### TOK_SINGLE_QUOTE_STR

    public static final int TOK_SINGLE_QUOTE_STR

### TOK_DOUBLE_QUOTE_STR

    public static final int TOK_DOUBLE_QUOTE_STR

### TOK_NUMBER

    public static final int TOK_NUMBER

### TOK_WHITE_SPACE

    public static final int TOK_WHITE_SPACE

Constructor Detail

### GenClausesRuntime

    public GenClausesRuntime()

Method Detail

### main

    public static void main(java.lang.String[] argv)

### procError

    public void procError(java.lang.String msg)

### doWork

    public void doWork(java.lang.String[] argv)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTokens

    public oracle.jbo.server.util.Tok[] getTokens(java.lang.String str)

### reportException

    public void reportException(java.lang.String errorMessage,
                                int lnNum,
                                oracle.jbo.server.util.Tok tok)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doProc

    public void doProc(java.io.LineNumberReader lnrd)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### println

    public void println(java.lang.String str)

### print

    public void print(java.lang.String str)

### dumpTokens

    public void dumpTokens(int lnNum,
                           oracle.jbo.server.util.Tok[] toks)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.